Holger's Java API

## com.antelmann.util.revision
Class DefaultRevision

    java.lang.Object
      com.antelmann.util.revision.DefaultRevision

All Implemented Interfaces:
  Timed, Revision

    public class DefaultRevision

extends Object
implements Revision

implements a standard immutable revision object

Since:
  04.11.2008, 01:24:22
Author:
  Holger Antelmann

Field Summary

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Constructor Summary
`DefaultRevision(Object source, Revisable revisable, Object changes, Status status, long time, String comment)`
`DefaultRevision(Object source, Revisable revisable, Object changes, Status status, String comment)`

Method Summary
`Revisable` `getRevisable()` returns the object that this revision applies to
`Object` `getRevisionChanges()` specifies the changes that this revision implies
`String` `getRevisionComment()` returns additional comments made for this revision
`Object` `getRevisionSource()` specifies who or what initiated the revision
`Status` `getRevisionStatus()` returns the status that this revision applied to the revisable instance
`long` `getTime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRevision

    public DefaultRevision(Object source,
                           Revisable revisable,
                           Object changes,
                           Status status,
                           String comment)

### DefaultRevision

    public DefaultRevision(Object source,
                           Revisable revisable,
                           Object changes,
                           Status status,
                           long time,
                           String comment)

Method Detail

### getRevisionSource

    public final Object getRevisionSource()

  Description copied from interface: `Revision`
  specifies who or what initiated the revision

  Specified by:
    `getRevisionSource` in interface `Revision`

### getRevisable

    public Revisable getRevisable()

  Description copied from interface: `Revision`
  returns the object that this revision applies to

  Specified by:
    `getRevisable` in interface `Revision`

### getRevisionChanges

    public Object getRevisionChanges()

  Description copied from interface: `Revision`
  specifies the changes that this revision implies

  Specified by:
    `getRevisionChanges` in interface `Revision`

### getRevisionComment

    public String getRevisionComment()

  Description copied from interface: `Revision`
  returns additional comments made for this revision

  Specified by:
    `getRevisionComment` in interface `Revision`

### getRevisionStatus

    public Status getRevisionStatus()

  Description copied from interface: `Revision`
  returns the status that this revision applied to the revisable instance

  Specified by:
    `getRevisionStatus` in interface `Revision`

### getTime

    public final long getTime()

  Specified by:
    `getTime` in interface `Timed`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads